RCFProto

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Enumerations Enumerator Properties
Public Member Functions | Protected Attributes | List of all members
DeltaVSoft.RCFProto.RcfProtoSession Class Reference

Represents the server-side session associated with a RPC connection. More...

Inheritance diagram for DeltaVSoft.RCFProto.RcfProtoSession:

## Public Member Functions
virtual void | Dispose ()
void | SetFailed (string reason)
| Causes Failed() to return true on the client side. "reason" will be incorporated into the message returned by ErrorText(). If you find you need to return machine-readable information about failures, you should incorporate it into your response protocol buffer and should NOT call SetFailed(). More...
bool | IsCanceled ()
| If true, indicates that the client canceled the RPC, so the server may as well give up on replying to it. The server should still call the final "done" callback. More...
string | GetClientUsername ()
| Returns the Windows username of the client, if a NTLM or Kerberos transport protocol is being used. More...
TransportProtocol | GetTransportProtocol ()
| Returns the transport protocol in use on this server session. More...
TransportType | GetTransportType ()
| Returns the transport type of this server session. More...
bool | GetEnableCompression ()
| Returns true if compression is enabled for this server session, and false otherwise. Compression is enabled by the client. More...
uint | GetConnectionDuration ()
| Returns the duration of the client connection, in milliseconds. More...
uint | GetRemoteCallCount ()
| Returns the number of remote calls executed on the server session so far. More...
ulong | GetTotalBytesReceived ()
| Returns the total number of bytes received by the server session so far. More...
ulong | GetTotalBytesSent ()
| Returns the total number of bytes sent from the server session so far. More...

## Protected Attributes
bool | swigCMemOwn

## Detailed Description

Represents the server-side session associated with a RPC connection.

## Member Function Documentation

virtual void DeltaVSoft.RCFProto.RcfProtoSession.Dispose | ( |  | ) |
| virtual

string DeltaVSoft.RCFProto.RcfProtoSession.GetClientUsername | ( |  | ) |

Returns the Windows username of the client, if a NTLM or Kerberos transport protocol is being used.

uint DeltaVSoft.RCFProto.RcfProtoSession.GetConnectionDuration | ( |  | ) |

Returns the duration of the client connection, in milliseconds.

bool DeltaVSoft.RCFProto.RcfProtoSession.GetEnableCompression | ( |  | ) |

Returns true if compression is enabled for this server session, and false otherwise. Compression is enabled by the client.

uint DeltaVSoft.RCFProto.RcfProtoSession.GetRemoteCallCount | ( |  | ) |

Returns the number of remote calls executed on the server session so far.

ulong DeltaVSoft.RCFProto.RcfProtoSession.GetTotalBytesReceived | ( |  | ) |

Returns the total number of bytes received by the server session so far.

ulong DeltaVSoft.RCFProto.RcfProtoSession.GetTotalBytesSent | ( |  | ) |

Returns the total number of bytes sent from the server session so far.

TransportProtocol DeltaVSoft.RCFProto.RcfProtoSession.GetTransportProtocol | ( |  | ) |

Returns the transport protocol in use on this server session.

TransportType DeltaVSoft.RCFProto.RcfProtoSession.GetTransportType | ( |  | ) |

Returns the transport type of this server session.

bool DeltaVSoft.RCFProto.RcfProtoSession.IsCanceled | ( |  | ) |

If true, indicates that the client canceled the RPC, so the server may as well give up on replying to it. The server should still call the final "done" callback.

void DeltaVSoft.RCFProto.RcfProtoSession.SetFailed | ( | string | reason | ) |

Causes Failed() to return true on the client side. "reason" will be incorporated into the message returned by ErrorText(). If you find you need to return machine-readable information about failures, you should incorporate it into your response protocol buffer and should NOT call SetFailed().

## Member Data Documentation

bool DeltaVSoft.RCFProto.RcfProtoSession.swigCMemOwn
| protected

The documentation for this class was generated from the following file:

- RcfProtoSession.cs